# Class OutputReporterParameter

java.lang.Object
uk.ac.starlink.task.Parameter<OutputReporter>
uk.ac.starlink.ttools.task.OutputReporterParameter

public class OutputReporterParameter extends uk.ac.starlink.task.Parameter<OutputReporter>
Parameter for selecting an OutputReporter for use with taplint.

Since:
  23 Oct 2016
Author:
  Mark Taylor

## Field Summary

### Fields inherited from class uk.ac.starlink.task.Parameter

`BY_NAME`

## Constructor Summary

Constructors
Constructor
Description
`OutputReporterParameter(String name)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`uk.ac.starlink.task.Parameter<?>[]`
`getReporterParameters()`
Returns an array of parameters associated with this one.
`String`
`objectToString(uk.ac.starlink.task.Environment env, OutputReporter orval)`
`OutputReporter`
`stringToObject(uk.ac.starlink.task.Environment env, String sval)`

### Methods inherited from class uk.ac.starlink.task.Parameter

`clearValue, getDescription, getName, getPosition, getPreferExplicit, getPrompt, getStringDefault, getUsage, getValueClass, isNullPermitted, objectValue, setDescription, setDescription, setName, setNullPermitted, setPosition, setPreferExplicit, setPrompt, setStringDefault, setUsage, setValue, setValueFromObject, setValueFromString, stringValue, toArray, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### OutputReporterParameter

public OutputReporterParameter(String name)
Constructor.

Parameters:
  `name` - parameter name

## Method Details

### getReporterParameters

public uk.ac.starlink.task.Parameter<?>[] getReporterParameters()
Returns an array of parameters associated with this one. Their values are used in conjunction with the value of this parameter to define the selected OutputReporter instance. Note that not all of these paramters may be applicable to every value for this parameter. But there is probably a fair amount of overlap.

Returns:
  list of associated parameters

### objectToString

public String objectToString(uk.ac.starlink.task.Environment env, OutputReporter orval)

Overrides:
  `objectToString` in class `uk.ac.starlink.task.Parameter<OutputReporter>`

### stringToObject

public OutputReporter stringToObject(uk.ac.starlink.task.Environment env, String sval) throws uk.ac.starlink.task.TaskException

Specified by:
  `stringToObject` in class `uk.ac.starlink.task.Parameter<OutputReporter>`
Throws:
  `uk.ac.starlink.task.TaskException`